//############################################################################//
//             Copyright (c) 2004, Apycom Software, wwww.apycom.com
//             Apycom DHTML Tuner script
//             http://dhtml-menu.com
//             Programming by Shakhmatov Nik
//             E-mail: dhtml@apycom.com
//############################################################################//

var apy_tunerParams = [

  ['Common','section','icon_common',''],
    ['texpanded',        'boolean',    '1',  'Default tree state.>>0 - collapsed;>>1 - expanded.'],
    ['tlevelDX',         'integer-nn', '20', 'Item level delta X.'],
    ['texpandItemClick', 'boolean',  '0',  '0 - item is expanded by clicking on expand button only.>>1 - item is expanded by clicking on item\'s text.'],
    ['ttoggleMode',      'boolean',  '0',  'Enables a toggle-mode.>>0 - disabled, 1 - items stay highlighted after mouse click.'],
    ['tcloseExpanded',   'boolean',  '0',  'Enables the mode when 1 item only can be expanded.>>0 - disabled, 1 - enabled.'],
    ['tcloseExpandedXP', 'boolean',  '0',  'Enables the mode when 1 submenu only can be expanded (XP-style).>>0 - disabled, 1 - enabled.'],

    ['','separator','',''],

    ['titemTarget', 'set-add', '_self,_blank,_top,_parent,_search,', 'Default target for all items.'],
    ['titemCursor','set',
     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize,',
     'Items cursor.'],
    ['tblankImage',   'image',   'blank image filename', 'Path to a blank image.'],

  ['Menu','section','icon_menu',''],
    ['tmenuWidth',       'integer-percent', '',  'Menu width (% or px).'],
    ['tmenuHeight',      'integer-percent', '',  'Menu height (% or px).>>0 - sets height automatically.'],

    ['tmenuBorderWidth',  'integer-nn',      '0', 'Menu border width.'],
    ['tmenuBorderStyle',  'set',             'none,solid,double,dotted,dashed,groove,ridge','Menu border style.'],
    ['tmenuBackImage',    'image',           '',  'Menu background image.'],

  ['Menu Positioning','section','icon_menu_positioning',''],
    ['tabsolute', 'boolean', '0', 'Sets absolute menu position.>>0 - relative position;>>1 - absolute position.'],
    ['tleft',     'integer', '0', 'X coordinate of top-left menu corner.'],
    ['ttop',      'integer', '0', 'Y coordinate of top-left menu corner.'],

    ['','separator','',''],

    ['tfloatable',       'boolean',    '0', 'If enabled, menu "floats" on window scrolling and always stays visible.'],
    ['tfloatIterations', 'integer-nn', '6', 'Defines floatation speed.'],

    ['','separator','',''],

    ['tmoveable',         'boolean',    '0',  'If enabled, you can drag menu by using top spacer.'],
    ['tmoveImage',       'image',      '',   'Image of the drag spacer.'],
    ['tmoveImageHeight', 'integer-nn', '20', 'Height of drag image spacer.'],

  ['Font','section','icon_font',''],
    ['tfontStyle',      'font',        'bold 9pt Verdana',    'Font style.'],
    ['tfontColor',      'color-array', ['#000000','#000000'], 'Normal and mouseover font colors.'],
    ['tfontDecoration', 'set-array',   ['none,underline,line-through,overline','none,underline,line-through,overline'],'Normal and mouseover font decorations.'],
    ['tpressedFontColor',  'color', '#AA0000', 'Color of a text of selected items.>>Used when ttoggleMode is 1.'],
    ['tfontColorDisabled', 'color', '#AAAAAA', 'Font color for disabled items.>>The item is disabled when its target is "_".'],


  ['Items','section','icon_items',''],
    ['titemAlign',     'set', 'left,center,right', 'Alignment of item text.'],
    ['titemHeight',    'integer-nn', '22', 'Item height.'],
    ['titemBackImage', 'image-array', ['',''], 'Normal and mouseover item background images.'],

  ['Colors','section','icon_colors',''],
    ['tmenuBackColor',   'color', '', 'Menu background color.'],
    ['tmenuBorderColor', 'color', '', 'Menu border color.'],
    ['titemBackColor',   'color-array', ['#ffffff','#4792E6'], 'Normal and mouseover item background colors.'],

  ['Icons','section','icon_icons',''],
    ['ticonWidth',  'integer-nn', '16', 'Item icon width.'],
    ['ticonHeight', 'integer-nn', '16', 'Item icon height.'],
    ['ticonAlign',  'set', 'left,right', 'Alignment of item icon.'],

  ['Buttons','section','icon_buttons',''],
    ['texpandBtn',      'image-array', ['','',''], 'Expand button images: normal, mouse over and expanded states.'],
    ['texpandBtnW',     'integer-nn', '9', 'Expand button width.'],
    ['texpandBtnH',     'integer-nn', '9', 'Expand button height.'],
    ['texpandBtnAlign', 'set', 'left,right', 'Alignment of expand button.'],

  ['Lines','section','icon_lines',''],
    ['tpoints',       'boolean', '1', 'Lines drawing.>> 0 - no lines;>>1 - draw lines.'],
    ['tpointsImage',  'image',   '',  'Lines horizontal image.'],
    ['tpointsVImage', 'image',   '',  'Lines vertical image.'],
    ['tpointsCImage', 'image',   '',  'Lines corner image.'],

  ['State saving','section','icon_state_saving',''],
    ['tsaveState',  'boolean',    '0', 'Saves a menu state.>>0 - disable state saving;>>1 - enable state saving - the menu saves items state for a next visit.>>apytmenu_ss.js file must be included into html page!'],

  ['XP-Style','section','icon_xp_style',''],
    ['tXPStyle',      'boolean',    '1', 'Enable XP-style mode.'],
    ['tXPIterations', 'integer-nn', '5', 'Submenu expanding/collapsing speed.'],
    ['tXPFilter',     'boolean',    '1', 'Fade effect for submenus in Internet Explorer.>>0 - disabled, 1 - enabled.'],

    ['','separator','',''],

    ['tXPTitleLeft',      'image',      '',  'Left title image.'],
    ['tXPTitleLeftWidth', 'integer-nn', '4', 'Width of left border image of submenus title (tXPTitleLeft).'],

    ['','separator','',''],

    ['tXPExpandBtn', 'image-array', ['','','',''], 'Title expand button images.>>1. expanded, normal>>2. expanded, mouse over>>3. collapsed, normal>>4. collapsed, mouse over.'],
    ['tXPBtnWidth',  'integer-nn', '25', 'Width of title expand-button.'],
    ['tXPBtnHeight', 'integer-nn', '25', 'Height of title expand-button.'],

    ['','separator','',''],

    ['tXPIconWidth',  'integer-nn', '30', 'Width of icons within submenus title.'],
    ['tXPIconHeight', 'integer-nn', '32', 'Height of icons within submenus title.'],

    ['','separator','',''],

    ['tXPTitleBackColor',    'color', '', 'Color of submenu title.'],
    ['tXPTitleTopBackColor', 'color', '', 'Color of space above submenu title.'],
    ['tXPTitleBackImg',      'image', '', 'Title background image.'],

];

onload = apy_initialize;
